Summary: A utility which lists open files on a Linux/UNIX system.
Name: lsof
Version: 4.48
Release: 1.0.3
Copyright: Free
Group: Administration/Tools
Source0: ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/lsof_%{version}_W.tar.gz
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
Lsof stands for LiSt Open Files, and it does just that: it lists
information about files that are open by the processes running on a
UNIX system.

%prep
%setup -q -c -n lsof_%{version}

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -f lsof_%{version}.tar ] && tar xf lsof_%{version}.tar
[ -d lsof_%{version}.linux -a ! -d lsof_%{version} ] && \
	mv lsof_%{version}.linux lsof_%{version}
[ -d lsof_%{version} ] && cd lsof_%{version}

%build
rm -rf $RPM_BUILD_ROOT
#
# ### Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d lsof_%{version} ] && cd lsof_%{version}

LSOF_VERS=22012 LSOF_VSTR=2.2.12 LINUX_BASE=/proc \
	./Configure -n linux

make CDEF="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
#
# ### Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d lsof_%{version} ] && cd lsof_%{version}

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -d ${RPM_BUILD_ROOT}%{_prefix}/sbin
install -d ${RPM_BUILD_ROOT}%{_mandir}
install -s lsof ${RPM_BUILD_ROOT}%{_prefix}/sbin
install lsof.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
%doc lsof_%{version}/00*
%attr(0750,root,admin) %{_prefix}/sbin/lsof
%doc %{_mandir}/man8/lsof.8*

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.48, Release 1.0.3
  - You guessed it!  i386 build fixes!@#$%^&


* Sat Jul 15 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access
- initial version
